com.verisign.epp.codec.registry.v01

## Class EPPRegistryMinMaxLength

- java.lang.Object
- - com.verisign.epp.codec.registry.v01.EPPRegistryAbstractMinMax
  - - com.verisign.epp.codec.registry.v01.EPPRegistryMinMaxLength

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryMinMaxLength
      extends EPPRegistryAbstractMinMax

  Represents a general element that supports min and max length sub-elements. The actual XML elements are configurable include:
  - root element name - The root element name must be defined.
  - min sub-element name - The min sub-element name can be overridden with the default set to `EPPRegistryAbstractMinMax.ELM_MIN_LENGTH`.
  - max sub-element name - The max sub-element name can be overridden with the default set to `EPPRegistryAbstractMinMax.ELM_MAX_LENGTH`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryAbstractMinMax

      `ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryMinMaxLength()` Creates a new `EPPRegistryMinMaxLength` object.
    `EPPRegistryMinMaxLength(java.lang.Integer aMin, java.lang.Integer aMax)` Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `Integer`'s.
    `EPPRegistryMinMaxLength(int min, int max)` Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `int`'s.
    `EPPRegistryMinMaxLength(java.lang.String aRootLocalName, java.lang.Integer aMin, java.lang.Integer aMax)` Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `Integer`'s.
    `EPPRegistryMinMaxLength(java.lang.String aRootLocalName, int min, int max)` Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `int`'s.
    `EPPRegistryMinMaxLength(java.lang.String aRootLocalName, java.lang.String aMinLocalName, java.lang.String aMaxLocalName, java.lang.Integer aMin, java.lang.Integer aMax)` Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `Integer`'s.
    `EPPRegistryMinMaxLength(java.lang.String aRootLocalName, java.lang.String aMinLocalName, java.lang.String aMaxLocalName, int min, int max)` Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `int`'s.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getElmMax()` Gets the maximum element local name.
    `java.lang.String` | `getElmMin()` Gets the minimum element XML local name.
    `protected org.apache.log4j.Logger` | `getLogger()` Gets the `Logger` to use.
    `java.lang.String` | `getRootName()` Gets the root element local name.
    `void` | `setElmMax(java.lang.String aElmMax)` Sets the maximum element XML local name.
    `void` | `setElmMin(java.lang.String aElmMin)` Sets the minimum element XML local name.
    `void` | `setRootName(java.lang.String aRootName)` Sets the root element XML local name.
    `protected void` | `validateState()` Validate the state of the `EPPRegistryMinMaxLength` instance.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryAbstractMinMax

      `clone, decode, encode, equals, getMax, getMin, getNamespace, setMax, setMin, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength()

      Creates a new `EPPRegistryMinMaxLength` object.

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength(java.lang.Integer aMin,
                                         java.lang.Integer aMax)

      Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength(int min,
                                         int max)

      Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength(java.lang.String aRootLocalName,
                                         java.lang.Integer aMin,
                                         java.lang.Integer aMax)

      Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aRootLocalName` - The XML root element local name to use.
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength(java.lang.String aRootLocalName,
                                         int min,
                                         int max)

      Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aRootLocalName` - The XML root element local name to use.
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength(java.lang.String aRootLocalName,
                                         java.lang.String aMinLocalName,
                                         java.lang.String aMaxLocalName,
                                         java.lang.Integer aMin,
                                         java.lang.Integer aMax)

      Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aRootLocalName` - The XML root element local name to use.
        `aMinLocalName` - The XML local name used for the `min` attribute.
        `aMaxLocalName` - The XML local name used for the `max` attribute.
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryMinMaxLength

          public EPPRegistryMinMaxLength(java.lang.String aRootLocalName,
                                         java.lang.String aMinLocalName,
                                         java.lang.String aMaxLocalName,
                                         int min,
                                         int max)

      Creates a new `EPPRegistryMinMaxLength` object that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aRootLocalName` - The XML root element local name to use.
        `aMinLocalName` - The XML local name used for the `min` attribute.
        `aMaxLocalName` - The XML local name used for the `max` attribute.
        `aMin` - Minimum value
        `aMax` - Maximum value

  - ### Method Detail

    - #### getRootName

          public java.lang.String getRootName()

      Gets the root element local name.
      Specified by:
        `getRootName` in class `EPPRegistryAbstractMinMax`
      Returns:
        Root element local name.

    - #### setRootName

          public void setRootName(java.lang.String aRootName)

      Sets the root element XML local name.
      Parameters:
        `aRootName` - Root element XML local name.

    - #### getElmMin

          public java.lang.String getElmMin()

      Gets the minimum element XML local name.
      Specified by:
        `getElmMin` in class `EPPRegistryAbstractMinMax`
      Returns:
        Minimum element XML local name.

    - #### setElmMin

          public void setElmMin(java.lang.String aElmMin)

      Sets the minimum element XML local name.
      Parameters:
        `aElmMin` - The minimum element XML local name.

    - #### getElmMax

          public java.lang.String getElmMax()

      Gets the maximum element local name.
      Specified by:
        `getElmMax` in class `EPPRegistryAbstractMinMax`
      Returns:
        Maximum element local name.

    - #### setElmMax

          public void setElmMax(java.lang.String aElmMax)

      Sets the maximum element XML local name.
      Parameters:
        `aElmMin` - The maximum element XML local name.

    - #### getLogger

          protected org.apache.log4j.Logger getLogger()

      Gets the `Logger` to use.
      Specified by:
        `getLogger` in class `EPPRegistryAbstractMinMax`
      Returns:
        `Logger` instance to use for logging.

    - #### validateState

          protected void validateState()
                                throws EPPEncodeException

      Validate the state of the `EPPRegistryMinMaxLength` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the `EPPCodecException` will contain a description of the error.
      Overrides:
        `validateState` in class `EPPRegistryAbstractMinMax`
      Throws:
        `EPPCodecException` - Validation error
        `EPPEncodeException`

Copyright © VeriSign Inc. All Rights Reserved.